using OpenQA.Selenium.Chrome;
using OpenQA.Selenium;
using OpenQA.Selenium.Support.UI;
using System.IO;
using System;
using System.Threading.Tasks;
using Org.BouncyCastle.Bcpg;

namespace BokBonCheck
{
 
    public interface ILibrarySearcher
    {
        /// <summary>
        /// 브라우저 크롤링이 아닌 HTTP 호출방식으로 처리됩니다
        /// </summary>
        bool HttpApiMode { get;   set; }
        string AreaCode { get; set; }
        int No { get; set; }
        string SiteName { get; }
        string SiteUrl { get; }
        Task<BookSearchResult> SearchAsync(string searchTerm);
        Task StartDriver(bool showBrowser);
        void StopDriver();

        Task WaitForPageChange(WebDriverWait wait);
    }
}